org.omg.CORBA

## Class BooleanHolder

- java.lang.Object
- - org.omg.CORBA.BooleanHolder

All Implemented Interfaces:
  Streamable

    public final class BooleanHolder
    extends Object
    implements Streamable

The Holder for `Boolean`. For more information on Holder files, see "Generated Files: Holder Files".

A Holder class for a `boolean` that is used to store "out" and "inout" parameters in IDL methods. If an IDL method signature has an IDL `boolean` as an "out" or "inout" parameter, the programmer must pass an instance of `BooleanHolder` as the corresponding parameter in the method invocation; for "inout" parameters, the programmer must also fill the "in" value to be sent to the server. Before the method invocation returns, the ORB will fill in the value corresponding to the "out" value returned from the server.

If `myBooleanHolder` is an instance of `BooleanHolder`, the value stored in its `value` field can be accessed with `myBooleanHolder.value`.

Since:
  JDK1.2

### Field Summary

Fields
`boolean` `value` The `boolean` value held by this `BooleanHolder` object.

### Constructor Summary

Constructors
Constructor and Description
`BooleanHolder()` Constructs a new `BooleanHolder` object with its `value` field initialized to `false`.
`BooleanHolder(boolean initial)` Constructs a new `BooleanHolder` object with its `value` field initialized with the given `boolean`.

### Method Summary

Methods
`void` `_read(InputStream input)` Reads unmarshalled data from `input` and assigns it to this `BooleanHolder` object's `value` field.
`TypeCode` `_type()` Retrieves the `TypeCode` object that corresponds to the value held in this `BooleanHolder` object.
`void` `_write(OutputStream output)` Marshals the value in this `BooleanHolder` object's `value` field to the output stream `output`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### value

    public boolean value

The `boolean` value held by this `BooleanHolder` object.

### Constructor Detail

#### BooleanHolder

    public BooleanHolder()

Constructs a new `BooleanHolder` object with its `value` field initialized to `false`.

#### BooleanHolder

    public BooleanHolder(boolean initial)

Constructs a new `BooleanHolder` object with its `value` field initialized with the given `boolean`.

Parameters:
  `initial` - the `boolean` with which to initialize the `value` field of the newly-created `BooleanHolder` object

### Method Detail

#### _read

    public void _read(InputStream input)

Reads unmarshalled data from `input` and assigns it to this `BooleanHolder` object's `value` field.

Specified by:
  `_read` in interface `Streamable`
Parameters:
  `input` - the `InputStream` object containing CDR formatted data from the wire

#### _write

    public void _write(OutputStream output)

Marshals the value in this `BooleanHolder` object's `value` field to the output stream `output`.

Specified by:
  `_write` in interface `Streamable`
Parameters:
  `output` - the OutputStream which will contain the CDR formatted data

#### _type

    public TypeCode _type()

Retrieves the `TypeCode` object that corresponds to the value held in this `BooleanHolder` object.

Specified by:
  `_type` in interface `Streamable`
Returns:
  the `TypeCode` for the value held in this `BooleanHolder` object

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.